# Generated by Django 2.1.7 on 2019-04-16 16:58

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Bookmark',
            fields=[
                ('id_compared', models.CharField(max_length=80, primary_key=True, serialize=False)),
            ],
        ),
        migrations.CreateModel(
            name='Categorie',
            fields=[
                ('id_categorie', models.CharField(max_length=80, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=80, null=True)),
                ('url', models.CharField(max_length=255, null=True)),
                ('products_nb', models.IntegerField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id_product', models.CharField(max_length=80, primary_key=True, serialize=False)),
                ('product_name', models.CharField(max_length=80, null=True)),
                ('nutrition_grade_fr', models.CharField(max_length=1, null=True, verbose_name='nutriscore')),
                ('brands', models.CharField(max_length=80, null=True)),
                ('stores', models.CharField(max_length=80, null=True)),
                ('url', models.URLField(max_length=255, null=True)),
                ('categorie', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='compare.Categorie')),
            ],
        ),
        migrations.AddField(
            model_name='bookmark',
            name='id_result',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='compare.Product'),
        ),
    ]
